## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate snphost

Name:           rust-snphost
Version:        0.6.1
Release:        %autorelease
Summary:        Administrative utility for AMD SEV-SNP

License:        Apache-2.0
URL:            https://crates.io/crates/snphost
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Relax sev dependency to what's packaged in Fedora
Patch:          snphost-fix-metadata.diff

# snphost is a tool using features specific to AMD EPYC processors (x86_64).
ExclusiveArch:  x86_64

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Administrative utility for AMD SEV-SNP.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/snphost

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jun 25 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-3
- Rebuild for openssl crate >= v0.10.70 (RUSTSEC-2025-0004)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 06 2024 Tyler Fanelli <tfanelli@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Tyler Fanelli <tfanelli@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-4
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-2
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Wed Aug 02 2023 Tyler Fanelli <tfanelli@redhat.com> - 0.1.2-1
- Initial package
## END: Generated by rpmautospec
